<template>
  <VumikForm class="space-y-6" v-model="formData" @submit="tryUpdate()">
    <div class="grid grid-cols-1 gap-y-6 gap-x-4 sm:grid-cols-6">
      <div class="sm:col-span-3">
        <label for="email" class="block text-sm font-medium text-gray-700">
          Firsname
        </label>
        <div class="mt-1">
          <VumikInput type="text" name="firstname" />
        </div>
      </div>
      <div class="sm:col-span-3">
        <label for="name" class="block text-sm font-medium text-gray-700">
          Lastname
        </label>
        <div class="mt-1">
          <VumikInput type="text" name="lastname" />
        </div>
      </div>
      <div class="divide-y divide-gray-200 pt-4 space-y-6 sm:pt-6 sm:space-y-5 sm:col-span-6 sm:mb-6">
        <div>
          <h3 class="text-lg leading-6 font-medium text-gray-900">
            Notifications
          </h3>
          <p class="mt-1 max-w-2xl text-sm text-gray-500">
            We'll always let you know about important changes, but you pick what else you want to hear about.
          </p>
        </div>
        <div class="space-y-6 sm:space-y-5 divide-y divide-gray-200">
          <div class="pt-6 sm:pt-5">
            <div role="group" aria-labelledby="label-email">
              <div class="sm:grid sm:grid-cols-3 sm:gap-4 sm:items-baseline">
                <div>
                  <div class="text-base font-medium text-gray-900 sm:text-sm sm:text-gray-700" id="label-email">
                    By Email
                  </div>
                </div>
                <div class="mt-4 sm:mt-0 sm:col-span-2">
                  <div class="max-w-lg space-y-4">
                    <div class="relative flex items-start">
                      <div class="flex items-center h-5">
                        <VumikInput type='checkbox' name="responseNotification" />
                      </div>
                      <div class="ml-3 text-sm">
                        <label for="comments" class="font-medium text-gray-700">Response</label>
                        <p class="text-gray-500">Get notified when someones respond to a message.</p>
                      </div>
                    </div>
                    <div>
                      <div class="relative flex items-start">
                        <div class="flex items-center h-5">
                          <VumikInput type='checkbox' name="applyNotification" />
                        </div>
                        <div class="ml-3 text-sm">
                          <label for="candidates" class="font-medium text-gray-700">Apply</label>
                          <p class="text-gray-500">Get notified when an administrator validate your inscription.</p>
                        </div>
                      </div>
                    </div>
                    <div>
                      <div class="relative flex items-start">
                        <div class="flex items-center h-5">
                          <VumikInput type='checkbox' name="donationNotification" />
                        </div>
                        <div class="ml-3 text-sm">
                          <label for="offers" class="font-medium text-gray-700">Donation</label>
                          <p class="text-gray-500">Get notified when a investissor donate to your project.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="sm:col-start-5 sm:col-span-1 self-center justify-self-end">
          <router-link to="/" class="whitespace-nowrap text-base font-medium text-gray-500 hover:text-gray-900">Cancel</router-link>
      </div>
      <div class="sm:col-start-6 sm:col-span-1">
          <VumikInput type="submit" value="Send" />
      </div>
    </div>
  </VumikForm>
</template>

<script>
import { mapActions } from 'vuex'

export default {
  name: 'Profile',
  data () {
    return {
      formData: {
        firstname: '',
        lastname: '',
        responseNotification: false,
        applyNotification: false,
        donationNotification: false
      }
    }
  },
  methods: {
    tryUpdate () {
      this.update({ status: 1, id: this.$store.state.user.me?.id, ...this.formData })
    },
    ...mapActions('user', ['update'])
  }
}
</script>
